/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { OpenLayersEditorStyleFactory } from '../open-layers-editor-style-factory';
import { ModificationInteractionMode, SelectionInteractionMode, TranslationInteractionMode } from './modes';

export class DefaultInteractions {
  readonly editorStyles = new OpenLayersEditorStyleFactory();

  readonly selection = new SelectionInteractionMode(this.editorStyles.selectionStyles());

  readonly modification = new ModificationInteractionMode(this.selection.selectedFeaturesCollection).extends(
    this.selection
  );

  readonly translation = new TranslationInteractionMode(this.selection.selectedFeaturesCollection).extends(
    this.selection
  );
}
